<?php $dataHelper = $block->getHelper(); ?>
<?php $content =  $this->getContent(); ?> 
<?php
    $isMoving = $dataHelper->getIsMoving();
    $fontColor = $dataHelper->getFontColor();
    $bgColor = $dataHelper->getBgColor();
    $font_size_desktop = '16';
    $font_size_mobile = '14';
    $speed = 40;

    if($dataHelper->getFontSizeDesktop()){
        $font_size_desktop = $dataHelper->getFontSizeDesktop();
    }
    if($dataHelper->getFontSizeMobile()){
        $font_size_mobile = $dataHelper->getFontSizeMobile();
    }
    if($dataHelper->getMarqueeSeconds()){
        $speed = $dataHelper->getMarqueeSeconds();
    }
?>
<style>
.shipbar-wrapper {
  background: <?php echo $bgColor; ?> !important;
}
.shipbar-wrapper .ship-bar .ship-item .ship-text {
    color: <?php echo $fontColor; ?> !important;
    font-size: <?php echo $font_size_desktop; ?>px !important;
}
<?php if($dataHelper->getFixedNotificationBar()): ?>
    .header.active-sticky {
        margin-top: 33px;
    }
            /* The sticky class is added to the header with JS when it reaches its scroll position */
            .stickytopfix {
                position: fixed;
                top: 0;
                width: 100%;
                z-index: 996;
            }
 
            /* Add some top padding to the page content to prevent sudden quick movement (as the header gets a new position at the top of the page (position:fixed and top:0) */
            .stickytopfix + .contenttopfix {
                padding-top: 102px;
            }
            <?php endif; ?>    
.marquee {
 overflow: hidden;
 position: relative;
}
.marquee span {
color: <?php echo $fontColor; ?>;
font-weight: 600;
line-height: 28px;
font-size:<?php echo $font_size_desktop; ?>px;
padding-right:300px;
display: inline-block;
width: 100%;
height: 100%;
 text-align: center;
 white-space: nowrap;
 -moz-transform:translateX(100%);
 -webkit-transform:translateX(100%);  
 transform:translateX(100%);
 /* Apply animation to this element */  
 -moz-animation: example1 <?= $speed ?>s linear infinite;
 -webkit-animation: example1 <?= $speed ?>s linear infinite;
 animation: example1 <?= $speed ?>s linear infinite;
}
.marquee span.space{
  display: inline-block;
  width:300px;
}


/* Move it (define the animation) */
@-moz-keyframes example1 {
 0%   { -moz-transform: translateX(100%); }
 100% { -moz-transform: translateX(-100%); }
}
@-webkit-keyframes example1 {
 0%   { -webkit-transform: translateX(100%); }
 100% { -webkit-transform: translateX(-100%); }
}
@keyframes example1 {
 0%   { 
 -moz-transform: translateX(100%); /* Firefox bug fix */
 -webkit-transform: translateX(100%); /* Firefox bug fix */
 transform: translateX(100%);     
 }
 100% { 
 -moz-transform: translateX(-100%); /* Firefox bug fix */
 -webkit-transform: translateX(-100%); /* Firefox bug fix */
 transform: translateX(-100%); 
 }
}
@media screen and (max-width: 1024px) {
.marquee span {
line-height: 23px;
font-size:<?php echo $font_size_mobile; ?>px;
padding-right:250px;
}
.marquee span.space{
  display: inline-block;
  width:200px;
}
.shipbar-wrapper .ship-bar .ship-item .ship-text {
    font-size: <?php echo $font_size_mobile; ?>px !important;
}
}
</style>
<div class="headertopfix" id="myHeadertopfix">
        <div class="ourbarfix">
        <div class="shipbar-wrapper">
        <?php if($isMoving){ ?>
        <div class="marquee ">
            <span><?php echo $content; ?> <span class="space"></span> <?php echo $content; ?> <span class="space"></span> <?php echo $content; ?></span>
        </div>
        <?php }else{
            $count = 3;
            $content_items = explode(PHP_EOL, $content);
            if($content_items > 0){
                $count = count($content_items);
            }
        ?>
            <div>
                <div class="row">
                    <div class="ship-bar js-ship-bar owl-carousel">
                        <?php foreach ($content_items as $value_item) {?>
                            <div class="col-xs-12">
                                <div class="ship-item"><span class="ship-text"><?php echo $value_item; ?></span></div>
                            </div>
                        <?php } ?>
                    </div>
                </div>
            </div>
            <script type="text/javascript">
            require([ 'jquery', 'mgs/owlcarousel','jquery/jquery.cookie' ], function ($) {
                $('.js-ship-bar').owlCarousel({
                    loop:true,
                    margin:0,
                    responsiveClass:true,
                    touchDrag: false,
                    mouseDrag: false,
                    autoHeight:true,
                    responsive:{
                        0:{
                          items:1,
                          nav:false,
                          loop:true,
                          autoplay:true,
                          autoplayTimeout:3000,
                          dots: false,
                          touchDrag: true
                        },
                        768:{
                          items:<?php echo $count ; ?>,
                          nav:false,
                          loop:false,
                          autoplay:false,
                          autoplayTimeout:false,
                          autoplayHoverPause:false,
                        }
                    }
                });
            });
        </script>
        <?php } ?>
        </div>
    </div>
</div>
<?php if($dataHelper->getFixedNotificationBar()){ ?>
<script type="text/javascript">
            require([ 'jquery' ], function ($) {
                 window.onscroll = function () {
                    console.log("scrolling...");
                        topfixFunction()
                    };

            // Get the header
                    var header = document.getElementById("myHeadertopfix");
            // Get the offset position of the navbar
                    var sticky = header.offsetTop;

            // Add the sticky class to the header when you reach its scroll position. Remove "sticky" when you leave the scroll position
                    function topfixFunction() {
                        if (window.pageYOffset > sticky) {
                            header.classList.add("stickytopfix");
                        } else {
                            header.classList.remove("stickytopfix");
                        }
                    }
            });
        </script>
<?php } ?>        